<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Cloudflare Web Analytics -->
    <script
      defer
      src="https://static.cloudflareinsights.com/beacon.min.js"
      data-cf-beacon='{"token": "a680cf9a9f644dc8b31fe8983b2e99bb"}'
    ></script>
    <!-- End Cloudflare Web Analytics -->

    <meta name="msapplication-TileColor" content="#da532c" />
    <meta name="theme-color" content="#ffffff" />
    <meta
      name="keywords"
      content="fritzy, friend, financial, cryptocurrencies, bitcoin, preciousmetals, realestate, wealth"
    />

    <style>
      @keyframes spinAround {
        from {
          transform: rotate(0deg);
        }

        to {
          transform: rotate(359deg);
        }
      }
    </style>

    {{content-for "head"}}

    <link rel="manifest" href="{{rootURL}}manifest.webmanifest" />
    <meta name="msapplication-config" content="{{rootURL}}browserconfig.xml" />

    <link integrity="" rel="stylesheet" href="{{rootURL}}assets/vendor.css" />
    <link integrity="" rel="stylesheet" href="{{rootURL}}assets/fz-front-simulator.css" />
    <link rel="icon" type="image/png" sizes="32x32" href="{{rootURL}}favicon-32x32.png" />
    <link rel="icon" type="image/png" sizes="16x16" href="{{rootURL}}favicon-16x16.png" />

    {{content-for "head-footer"}}
  </head>

  <body>
    {{content-for "body"}}

    <div
      id="app-loader"
      style="
        align-items: center;
        background: #f4f6f9;
        bottom: 0;
        color: #343a40;
        display: flex;
        flex-direction: column;
        justify-content: center;
        left: 0;
        overflow-y: hidden;
        right: 0;
        text-align: center;
        top: 0;
        position: fixed;
        z-index: 10000;
      "
    >
      <div id="app-loader-error" style="display: none">
        <h1>Fritzy simulator</h1>
        <br />
        <div>
          <p>An error occurred! Your browser may not be supported.</p>
          <p>Une erreur est survenue! Votre navigateur n'est peut-être pas supporté.</p>
          <ul id="app-loader-error-content"></ul>
        </div>
      </div>
      <svg
        alt="Application loader spinner"
        id="app-loader-spinner"
        style="
          animation: spinAround 500ms infinite linear;
          border: 2px solid #dbdbdb;
          border-radius: 290486px;
          border-right-color: transparent;
          border-top-color: transparent;
          content: '';
          display: block;
          height: 50px;
          width: 50px;
        "
      ></svg>
      <script>
        (function () {
          window.onerror = (e) => {
            const appLoaderError = document.getElementById('app-loader-error');
            appLoaderError.style.display = 'block';

            const appLoaderSpinner = document.getElementById('app-loader-spinner');
            if (appLoaderSpinner) {
              appLoaderSpinner.remove();
            }

            const appLoaderErrorContent = document.getElementById('app-loader-error-content');
            const node = document.createElement('li');
            const textnode = document.createTextNode('Error: ' + e);
            node.appendChild(textnode);
            appLoaderErrorContent.appendChild(node);
          };
        })();
      </script>
    </div>

    <script src="{{rootURL}}assets/vendor.js"></script>
    <script src="{{rootURL}}assets/fz-front-simulator.js"></script>

    {{content-for "body-footer"}}
  </body>
</html>
